# -*-makefile-*-
#
# Copyright (C) 2011 by Juergen Beisert <jbe@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_SD_FLASHER) += sd-flasher

#
# Paths and names
#
SD_FLASHER_VERSION	:= 1.1
SD_FLASHER_MD5		:= fba170dc0fc5716fa8b19eb55c00bd20
SD_FLASHER		:= sd-flasher-$(SD_FLASHER_VERSION)
SD_FLASHER_SUFFIX	:= tar.bz2
SD_FLASHER_URL		:= http://www.kreuzholzen.de/src/sd-flasher/$(SD_FLASHER).$(SD_FLASHER_SUFFIX)
SD_FLASHER_SOURCE	:= $(SRCDIR)/$(SD_FLASHER).$(SD_FLASHER_SUFFIX)
SD_FLASHER_DIR		:= $(BUILDDIR)/$(SD_FLASHER)
SD_FLASHER_LICENSE	:= GPLv2

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
SD_FLASHER_CONF_TOOL	:= autoconf
SD_FLASHER_CONF_OPT	:= $(CROSS_AUTOCONF_USR) \
	--disable-pac \
	--disable-superboot \
	--enable-uboot \
	--enable-mini6410 \
	--disable-debug

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/sd-flasher.targetinstall:
	@$(call targetinfo)

	@$(call install_init, sd-flasher)
	@$(call install_fixup, sd-flasher,PRIORITY,optional)
	@$(call install_fixup, sd-flasher,SECTION,base)
	@$(call install_fixup, sd-flasher,AUTHOR,"Juergen Beisert <jbe@pengutronix.de>")
	@$(call install_fixup, sd-flasher,DESCRIPTION,missing)

	@$(call install_copy, sd-flasher, 0, 0, 0755, -, /usr/bin/mini6410-flasher)
	@$(call install_copy, sd-flasher, 0, 0, 0755, -, /usr/bin/uboot-flasher)
	@$(call install_copy, sd-flasher, 0, 0, 0755, -, /usr/bin/sd-info)

	@$(call install_finish, sd-flasher)

	@$(call touch)
